/*Check Box*/
.toggle {
  position: relative;
  display: block;
  width: 40px;
  height: 20px;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
  transform: translate3d(0, 0, 0);
}
.toggle:before {
  content: "";
  position: relative;
  top: 3px;
  left: 3px;
  width: 34px;
  height: 14px;
  display: block;
  background: #d9534f;
  border-radius: 8px;
  transition: background 0.2s ease;
}
.toggle span {
  position: absolute;
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
  display: block;
  background: #ed6a66;
  border-radius: 10px;
  box-shadow: 0 3px 8px rgba(154, 153, 153, 0.5);
  transition: all 0.2s ease;
}
.toggle span:before {
  content: "";
  position: absolute;
  display: block;
  margin: -18px;
  width: 56px;
  height: 56px;
  background: rgba(79, 46, 220, 0.5);
  border-radius: 50%;
  transform: scale(0);
  opacity: 1;
  pointer-events: none;
}

#cbx:checked + .toggle:before {
  background: #1ea743;
}
#cbx:checked + .toggle span {
  background: #29c853;
  transform: translateX(20px);
  transition: all 0.2s cubic-bezier(0.8, 0.4, 0.3, 1.25), background 0.15s ease;
  box-shadow: 0 3px 8px rgba(79, 46, 220, 0.2);
}
#cbx:checked + .toggle span:before {
  transform: scale(1);
  opacity: 0;
  transition: all 0.4s ease;
}
#cbx2:checked + .toggle:before {
  background: #1ea743;
}
#cbx2:checked + .toggle span {
  background: #29c853;
  transform: translateX(20px);
  transition: all 0.2s cubic-bezier(0.8, 0.4, 0.3, 1.25), background 0.15s ease;
  box-shadow: 0 3px 8px rgba(79, 46, 220, 0.2);
}
#cbx2:checked + .toggle span:before {
  transform: scale(1);
  opacity: 0;
  transition: all 0.4s ease;
}
#cbx3:checked + .toggle:before {
  background: #1ea743;
}
#cbx3:checked + .toggle span {
  background: #29c853;
  transform: translateX(20px);
  transition: all 0.2s cubic-bezier(0.8, 0.4, 0.3, 1.25), background 0.15s ease;
  box-shadow: 0 3px 8px rgba(79, 46, 220, 0.2);
}
#cbx3:checked + .toggle span:before {
  transform: scale(1);
  opacity: 0;
  transition: all 0.4s ease;
}
 
.preloader,
{
  background-color: #242424;
}

.preloader .loader {
  background-image: url("../images/logos/Logo-Loading.png");
  background-repeat:no-repeat;
  background-position: 50% 50%;
}

.preloader {
  position: fixed;
  left: 0;
  top: -100%;
  right: 0;
  height: 100%;
  z-index: 999999999999999999;
  background: #020202;
  text-align: center;
  overflow: hidden;
  opacity: 1;
  -webkit-transform: translate(0, 100%);
  transform: translate(0, 100%);
}

.preloader:before {
  content: "";
  height: 100%;
  width: 0;
  display: inline-block;
  vertical-align: middle;
}

.preloader .logopreloader {
  vertical-align: middle;
  -webkit-transform: translate(0, 500px);
  transform: translate(0, 500px);
  position: relative;
  white-space: nowrap;
  display: inline-block;
  top: -20px;
  opacity: 0;
  -webkit-transition: -moz-transform 1s ease, -webkit-transform 1s ease, -ms-transform 1s ease, -o-transform 1s ease, transform 1s ease, opacity 1s ease;
  transition: -webkit-transform 1s ease, transform 1s ease, opacity 1s ease;
}

.preloader .loader {
  width: 65px;
  height: 65px;
  background-size: cover;
  position: absolute;
  left: 50%;
  top: 50%;
  margin: 15px 0 0 -32px;
  -webkit-transform: translate(0, 500px);
  transform: translate(0, 500px);
  opacity: 0;
  -webkit-transition: opacity 1s ease .3s, -webkit-transform 1s ease .3s;
  transition: opacity 1s ease .3s, -webkit-transform 1s ease .3s;
  transition: transform 1s ease .3s, opacity 1s ease .3s;
  transition: transform 1s ease .3s, opacity 1s ease .3s, -webkit-transform 1s ease .3s;
}

.preloader.loading .loader,
.preloader.loading .logopreloader {
  -webkit-transform: translate(0, 0px);
  transform: translate(0, 0px);
  opacity: 1;
}

.preloader.ended {
  -webkit-transform: translate(0, 0);
  transform: translate(0, 0);
  opacity: 0;
  -webkit-transition: -webkit-transform 1s ease 0.5s, -moz-transform 1s ease 0.5s, -ms-transform 1s ease 0.5s, -o-transform 1s ease 0.5s, transform 1s ease 0.5s, opacity 1s ease 0.5s;
  transition: -webkit-transform 1s ease 0.5s, transform 1s ease 0.5s, opacity 1s ease 0.5s;
}

.preloader.ended .loader,
.preloader.ended .logopreloader {
  -webkit-transform: translate(0, -500px);
  transform: translate(0, -500px);
  opacity: 0;
}

/*sweetalert*/
.swal-modal {
  background-color:  rgba(215, 44, 44, 0.9);
  border: 2px solid white;
}
.swal-text {
  padding: 17px;
  display: block;
  margin: 22px;
  text-align: center;
  color: #fff;
}
.swal-button--confirm {
  padding: 7px 19px;
  background-color: #5cb85c;
  font-size: 13px;
  border: 1px solid #3e8f3e;
}

.swal-button--confirm:hover {
    background-color:#3e8f3e !important;
}
.swal-button--confirm:active {
    position:relative;
    top:1px;
}
.swal-button--cancel {
  padding: 7px 19px;
  background-color: #f0ad4e;
  font-size: 13px;
  border: 1px solid #eb9316;
  color: white;
}
.swal-button--cancel:hover {
    background-color:#eb9316 !important;
}
.swal-title {
  margin: 0px;
  font-size: 16px;
  box-shadow: 0px 1px 1px rgba(255, 255, 255, 1);
  margin-bottom: 28px ;

  color:white;
}
